# OsiSimpleFixedInteger Class Reference

Define a single integer class - but one where you keep branching until fixed even if satisfied. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiSimpleFixedInteger:
[legend]
Collaboration diagram for OsiSimpleFixedInteger:
[legend]

List of all members.

## Public Member Functions
| OsiSimpleFixedInteger ()
| Default Constructor.
| OsiSimpleFixedInteger (const OsiSolverInterface *solver, int iColumn)
| Useful constructor - passed solver index.
| OsiSimpleFixedInteger (int iColumn, double lower, double upper)
| Useful constructor - passed solver index and original bounds.
| OsiSimpleFixedInteger (const OsiSimpleInteger &)
| Useful constructor - passed simple integer.
| OsiSimpleFixedInteger (const OsiSimpleFixedInteger &)
| Copy constructor.
virtual OsiObject * | clone () const
| Clone.
OsiSimpleFixedInteger & | operator= (const OsiSimpleFixedInteger &rhs)
| Assignment operator.
virtual | ~OsiSimpleFixedInteger ()
| Destructor.
virtual double | infeasibility (const OsiBranchingInformation *info, int &whichWay) const
| Infeasibility - large is 0.5.
virtual OsiBranchingObject * | createBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way) const
| Creates a branching object.

## Detailed Description

Define a single integer class - but one where you keep branching until fixed even if satisfied.

Definition at line 1089 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiSimpleFixedInteger::OsiSimpleFixedInteger | ( |  | ) |

Default Constructor.

OsiSimpleFixedInteger::OsiSimpleFixedInteger | ( | const OsiSolverInterface * | solver,
|  | int | iColumn |
| ) |  |  |

Useful constructor - passed solver index.

OsiSimpleFixedInteger::OsiSimpleFixedInteger | ( | int | iColumn,
|  | double | lower,
|  | double | upper |
| ) |  |  |

Useful constructor - passed solver index and original bounds.

OsiSimpleFixedInteger::OsiSimpleFixedInteger | ( | const OsiSimpleInteger & |  | ) |

Useful constructor - passed simple integer.

OsiSimpleFixedInteger::OsiSimpleFixedInteger | ( | const OsiSimpleFixedInteger & |  | ) |

Copy constructor.

virtual OsiSimpleFixedInteger::~OsiSimpleFixedInteger | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual OsiObject* OsiSimpleFixedInteger::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from OsiSimpleInteger.

OsiSimpleFixedInteger& OsiSimpleFixedInteger::operator= | ( | const OsiSimpleFixedInteger & | rhs | ) |

Assignment operator.

Reimplemented from OsiSimpleInteger.

virtual double OsiSimpleFixedInteger::infeasibility | ( | const OsiBranchingInformation * | info,
|  | int & | whichWay |
| ) |  |  | const`[virtual]`

Infeasibility - large is 0.5.

Reimplemented from OsiSimpleInteger.

virtual OsiBranchingObject* OsiSimpleFixedInteger::createBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | const`[virtual]`

Creates a branching object.

The preferred direction is set by `way`, 0 for down, 1 for up.

Reimplemented from OsiSimpleInteger.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.7/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines